> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a study

> Update an existing study.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json patch /projects/{project_id}/studies/{study_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /projects/{project_id}/studies/{study_id}:
    patch:
      tags:
        - studies
      summary: Update a study
      description: Update an existing study.
      operationId: update_study_projects__project_id__studies__study_id__patch
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: study_id
          in: path
          required: true
          schema:
            type: string
            title: Study Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateStudy'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Study'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateStudy:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: The new name of the study.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: The new optional description for the study.
      type: object
      title: UpdateStudy
    Study:
      properties:
        name:
          type: string
          title: Name
          description: The name of the study.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: An optional description for the study.
        project_id:
          type: string
          title: Project Id
          description: The ID of the project this study belongs to.
        organization_id:
          type: string
          title: Organization Id
          description: Organization this study belongs to.
        id:
          type: string
          title: Id
          description: The unique identifier for the study.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp of when the study was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp of when the study was last updated.
      type: object
      required:
        - name
        - project_id
        - organization_id
        - id
        - created_at
        - updated_at
      title: Study
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````